Event on Receiving Permission for Using onAppMethodConfirm Methods
Scope:
basicWho can subscribe: any user
The onAppMethodConfirm event is triggered upon receiving the administrator's decision from the account regarding the use of methods.
Events will not be sent to the application until the installation is complete. Check the application installation
What the Handler Receives
Data is transmitted as a POST request
{
"event": "ONAPPMETHODCONFIRM",
"data": {
"TOKEN": "fkp963yuv1ggkfbs5z3f5hy8lilm0iw6",
"METHOD": "voximplant.user.get",
"CONFIRMED": "1",
"LANGUAGE_ID": "en"
},
"ts": "1478790852",
"auth": {
"domain": "portal.bitrix24.com",
"client_endpoint": "https://portal.bitrix24.com/rest/",
"server_endpoint": "https://oauth.bitrix.info/rest/",
"member_id": "74ef8a46a75104de55d5d4a61b98ab6d",
"application_token": "c289487163b58658eae5e8b42eaf11b8"
}
}
Request Parameters
Required parameters are marked with *
|
Name |
Description |
|
event* |
Event character code — |
|
data* |
Data about the permitted methods. The structure is described below |
|
ts* |
Date and time of event sending |
|
auth* |
Authorization and account data. The structure is described below |
Parameter data
Required parameters are marked with *
|
Name |
Description |
|
TOKEN* |
Authorization token with which permission was requested |
|
METHOD* |
API method for which permission was requested |
|
CONFIRMED* |
Permission result: |
|
LANGUAGE_ID* |
Set language: |
Parameter auth
Required parameters are marked with *
|
Name |
Description |
|
domain* |
Address of the Bitrix24 account |
|
server_endpoint* |
Authorization server address for token renewal |
|
client_endpoint* |
Common path for API method calls to the account |
|
member_id* |
Unique identifier of the account |
|
application_token* |
Token for secure event processing |
Continue Learning
- Event Handler
- Register a new event handler event.bind
- Event After Successful Application Installation OnAppInstall
- Event on Application Payment onAppPayment
- Event onUserAdd
- Event on Application Uninstallation: onAppUninstall